What is Stacksync?Api proxy
Airtable API Proxy Overview
Overview of the Airtable API proxy and how Stacksync enables secure, simplified access to Airtable data.
TL;DR
This API proxy lets you do any operation on your Airtable data but removes from you all the complexity of setting up and using the classic Airtable API π€©
No need to worry about setting up a connected app, rotating the security token, using the correct API endpoints, record formatting and more! Everything is managed for you πββοΈ
Operations:
- Pass Through
Regions π
Depending on your region, you can use:
- πͺπΊ
https://eu.api-proxy.stacksync.com/ - πΊπΈ
https://us.api-proxy.stacksync.com/
Pass Through
Make a request to any Airtable API which supports OAuth by providing the URL, Request Method and the Request Body.
A request will be sent to the URL provided using the request method and request body. The request body can be empty.
bash
curl -X [GET | POST | PUT | PATCH | DELETE] \
https://eu.api-proxy.stacksync.com/v1/proxy/INSERT_REQUEST_URL_HERE \
-H "Authorization: Bearer your_api_proxy_service_token" \
-d 'Optional'Example request:
Read Records from a Table
bash
curl -X GET "https://us.api-proxy.stacksync.com/v1/proxy/https://api.airtable.com/v0/<baseId>/<tableId>?maxRecords=5&view=Grid%20view" \
-H "Authorization: Bearer <token>"Example response:
json
{
"records": [
{
"id": "recXXXXXXXXXXXXXX",
"createdTime": "2023-07-28T15:01:14.000Z",
"fields": {
"Name": "Sample Record 1",
"Status": "In Progress",
"Email": "sample1@example.com",
"Amount": 1000,
"Due Date": "2024-07-31",
"Tags": ["Important", "Client"]
}
},
{
"id": "recYYYYYYYYYYYYYY",
"createdTime": "2024-07-28T15:19:21.000Z",
"fields": {
"Name": "Sample Record 2",
"Status": "Completed",
"Email": "sample2@example.com",
"Amount": 4000,
"Due Date": "2024-07-25",
"Tags": ["Important", "Partner"]
}
}
],
"offset": "itrXXXXXXXXXXXXXX"
}